## octave-nan 3.1.1

=== DESCRIPTION ===
Name: NaN
Version: 3.1.1
Date: 2017-01-03
Author: Alois Schloegl <alois.schloegl@gmail.com>
Maintainer: Alois Schloegl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for data with and w/o missing values
Depends: octave (> 3.2.0)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
Autoload: no
