=== debian/changelog ===
octave-nan (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: reflect upstream changes.
  * Bump to debhelper compat level 10.
  * d/watch: upgrade to format version 4.
  * build-against-libsvm-dev.patch: update patch.
    Now rely on the new HAVE_EXTERNAL_LIBSVM flag. Also remove completely
    svm.{cpp,h} from the source tree, to be sure to pick up the external
    library.
  * Add a lintian source override for removed svm.h.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Jan 2017 16:43:02 +0100
