## octave-nan 3.1.2

=== src/Makefile ===
--- 
+++ 
@@ -108,7 +108,7 @@
 svm.o: svm.cpp
 	$(CC) $(CFLAGS) -c svm.cpp
 svm%_mex.mex: svm%_mex.cpp svm_model_octave.o svm.o
-	$(OCTMEX) $(CFLAGS) $^ -o $@
+	$(OCTMEX) $^ -o $@
 svm%_mex.$(MEX_EXT): svm%_mex.cpp svm_model_matlab.o svm.o
 	$(MATMEX) $^ -o $@
 endif
