=== debian/changelog ===
octave-nan (3.1.2-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Upload to unstable.
  * d/copyright: use secure URL for format.
  * d/control: remove unnecessary versioned dependency on octave-pkg-dev.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Jun 2017 14:48:19 +0200

octave-nan (3.1.2-1) experimental; urgency=medium

  * New upstream version 3.1.2
  * d/copyright: Reflect upstream changes
  * d/p/spelling-fix-in-train-help-str.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 07 Feb 2017 19:07:54 -0200
