=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: octave-nan
-Section: math
-Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.0.0),
- libsvm-dev
+Section: math
+Priority: optional
+Build-Depends: debhelper (>= 10),
+               cdbs,
+               octave-pkg-dev,
+               libsvm-dev
 Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-nan.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
 Homepage: http://octave.sourceforge.net/nan/
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-nan.git
 
 Package: octave-nan
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ${octave:Depends}
 Description: handles data with and without missing values in Octave
  This package allows the handling of data with and without missing
  values by using NaN in Octave. Features of this package includes:
