=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: octave-nan
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cdbs,
-               octave-pkg-dev,
+Build-Depends: debhelper (>= 11),
+               dh-octave,
                libsvm-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-octave/octave-nan.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-nan.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
 Homepage: http://octave.sourceforge.net/nan/
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-nan
 Architecture: any
