=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

# Do not use the clean target provided by the package: it will delete the
# binary MATLAB MEX files, which we cannot regenerate, hence making the package
# build not idempotent. Instead, use our own clean rule.
#
# Don't include MATLAB build script in the package
#override_dh_auto_clean:
#	dh_auto_clean
#	find debian/ -name make.m | xargs rm
