## octave-nan 3.4.5

=== debian/changelog ===
octave-nan (3.4.5-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Add missing Build-Depends on wget
  * d/copyright: use correct license short name (FSFAP) for Makefile

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 13 Feb 2020 14:54:17 +0100

octave-nan (3.4.5-1) unstable; urgency=medium

  * New upstream version 3.4.5
  * Drop patches (applied upstream):
    + d/p/spelling-fix-in-train-help-str.patch
    + d/p/drop-no-undefined-ldflags.patch
    + d/p/fix-spelling-str2array.patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 14 Dec 2019 14:22:06 -0300

octave-nan (3.4.3-1) unstable; urgency=medium

  * New upstream version 3.4.3
  * d/copyright: Reflect upstream changes
  * d/p/spelling-fix-in-train-help-str.patch: Refresh for new upstream version
  * Drop patches (fixed upstream):
    + d/p/workaround-for-mkoctfile-bug.patch
    + d/p/build-against-libsvm-dev.patch
    + d/p/reduce_test_memory_footprint.patch
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.
    + Build-Depends on liblinear-dev
  * d/clean: Clean files left over after building the package
  * d/rules: Drop obsolete target override_dh_auto_clean
  * d/s/lintian-overrides: Drop unused override
  * d/p/drop-no-undefined-ldflags.patch: New patch
  * d/p/fix-spelling-str2array.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 13 Nov 2019 11:20:05 -0300

octave-nan (3.1.4-5) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:43 -0200

octave-nan (3.1.4-4) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * d/rules: Ensures that rm command will not fail

  [ Sébastien Villemot ]
  * workaround-for-mkoctfile-bug.patch: new patch, fixes FTBFS against
    Octave 4.4

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Jun 2018 21:45:32 +0200
