=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: octave-nan
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-octave,
-               libsvm-dev
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12),
+               dh-octave (>= 0.7.1),
+               liblinear-dev,
+               libsvm-dev,
+               wget
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
-Homepage: http://octave.sourceforge.net/nan/
+Homepage: https://octave.sourceforge.io/nan/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-nan
 Architecture: any
