## octave-nan 3.5.0

=== debian/changelog ===
octave-nan (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * d/copyright: Reflect upstream changes
  * d/control: Build-depends on octave-statistics
  * d/rules: Fix wrong permission of file fishers_exact_test.m
  * d/p/depends-statistics.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 05:42:46 -0300

octave-nan (3.4.5-3) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/p/xtest-in-load-fisheriris.patch: New patch (Closes: #964210)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Jul 2020 07:13:06 -0300
