=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                liblinear-dev,
                libsvm-dev,
+               octave-statistics,
                wget
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
