## octave-nan 3.5.2

=== DESCRIPTION ===
Name: NaN
Version: 3.5.2
Date: 2020-10-31
Author: Alois Schlögl <alois.schloegl@gmail.com>
Maintainer: Alois Schlögl
Title: The NaN-toolbox
Description: A statistics and machine learning toolbox for data with and w/o missing values
Depends: octave (>= 4.4.1)
License: GPLv3+
Url: http://pub.ist.ac.at/~schloegl/matlab/NaN
Autoload: no
