=== debian/changelog ===
octave-nan (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * d/p/xtest-in-load-fisheriris.patch: Drop patch (applied upstream)
  * d/p/depends-statistics.patch: Drop patch (fixed upstream)
  * d/control: Drop build-dependency on octave-statistics
  * d/p/honour-cppflags-from-environment.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Nov 2020 18:03:05 -0300
