=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                dh-octave (>= 0.7.1),
                liblinear-dev,
                libsvm-dev,
-               octave-statistics,
                wget
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
