=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_installdeb:
	# Fix wrong permission of a file in the upstream tarball
	# Reported upstream: https://savannah.gnu.org/bugs/index.php?58848
	chmod -x $$(find debian/octave-nan -name fishers_exact_test.m)
	dh_installdeb
