## octave-nan 3.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 3.5.2
-Date: 2020-10-31
+Version: 3.6.1
+Date: 2021-11-03
 Author: Alois Schlögl <alois.schloegl@gmail.com>
 Maintainer: Alois Schlögl
 Title: The NaN-toolbox
