=== debian/changelog ===
octave-nan (3.6.1-1build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:32:06 +0000

octave-nan (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 Nov 2021 02:33:24 -0300

octave-nan (3.6.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/rules: Use execute_before_dh_installdeb instead of override_dh_installdeb

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 05:03:13 -0300

octave-nan (3.6.0-1) experimental; urgency=medium

  * New upstream version 3.6.0

 -- Rafael Laboissière <rafael@debian.org>  Fri, 30 Jul 2021 05:50:27 -0300

octave-nan (3.5.3-1) experimental; urgency=medium

  * New upstream version 3.5.3
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Feb 2021 02:51:16 -0300
