=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                liblinear-dev,
                libsvm-dev,
                wget
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
 Homepage: https://octave.sourceforge.io/nan/
