## octave-nan 3.7.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: NaN
-Version: 3.6.1
-Date: 2021-11-03
+Version: 3.7.0
+Date: 2022-05-09
 Author: Alois Schlögl <alois.schloegl@gmail.com>
 Maintainer: Alois Schlögl
 Title: The NaN-toolbox
