=== debian/changelog ===
octave-nan (3.7.0-5) unstable; urgency=medium

  * d/u/metadata:
    + Add upstream repository URL
    + Add documentation URL
    + Update Bug-Database URL
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >=
      1.2.3 is satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/rules: Remove extraneous documentation file

 -- Rafael Laboissière <rafael@debian.org>  Thu, 11 Sep 2025 03:02:58 -0300

octave-nan (3.7.0-4) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright:
    + Update Source URL
    + Update copyright years for debian/* files
  * d/check.m: Redefine clear function.
    This is necessary because some test scripts test/*.m issue the clear
    command and this interferes with the way dh_octave-check works.
    (Closes: #1057588)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 07 Dec 2023 03:13:07 -0300

octave-nan (3.7.0-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 09:18:41 -0300

octave-nan (3.7.0-2) unstable; urgency=medium

  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean: Drop obsolete file
    + d/p/add-distclean-target.patch: New patch
    + d/control: Build-depend on dh-octave >= 1.2.3

 -- Rafael Laboissière <rafael@debian.org>  Tue, 12 Jul 2022 12:11:11 -0300

octave-nan (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 23 May 2022 02:54:09 -0300
