=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                liblinear-dev,
                libsvm-dev,
                wget
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-nan
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-nan.git
-Homepage: https://octave.sourceforge.io/nan/
+Homepage: https://gnu-octave.github.io/packages/nan/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-nan
 Architecture: any
