=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

execute_before_dh_installdeb:
	# Fix wrong permission of a file in the upstream tarball
	# Reported upstream: https://savannah.gnu.org/bugs/index.php?58848
	chmod -x $$(find debian/octave-nan -name fishers_exact_test.m)
	# Remove extraneous documentation file. This fixes the Lintian
	# warning package-contains-documentation-outside-usr-share-doc
	rm -f debian/octave-nan/usr/share/octave/packages/nan-*/doc/README.TXT
